mmake(1)

NAME
mmake -- Mercury Make

SYNOPSIS
mmake [<mmake options>] [-- <make options>] <target>...

NOTES
mmake is one of the development tools that are part of the Mercury distribution.

This manual page is limited to a brief summary. For further information see the Mercury User's Guide.

OPTIONS
 --use-mmc-make:
	Use `mmc --make' to build Mercury targets.
	Implies `--use-subdirs'.
 --use-subdirs:
	Build intermediate files in a `Mercury' subdirectory,
	rather than in the current directory.
	(If the current directory already contains a `Mercury'
	subdirectory, then this option is the default.)
 --target c:
	Compile via C, rather than going directly to assembler.
	This is the default.
 --mercury-standard-library-directory <directory>
 --mercury-stdlib-dir <directory>:
	The directory containing the installed Mercury standard
	library.
 --no-mercury-standard-library-directory, --no-mercury-stdlib-dir:
	Don't use an installed Mercury standard library.
 -s, --save-makefile:
	Save the generated makefile to `Mmake.makefile'.
	This is useful for tracking down syntax errors in
	your Mmake file.
 -f <filename>, --file <filename>:
	Use the specified file as the Mmake file.
 -v, --verbose:
	Print verbose progress messages.
 -w-, --no-warn-undefined-vars:
	Normally Mmake will warn about variables which are used
	but not defined.  This option disables that warning.
	(The warning is never enabled when doing `mmake clean'
	or `mmake depend' or the like, to avoid spurious
	warnings when the dependencies have not yet been made.)
 -h, --help:
	Print this usage message.

TARGETS
 <module>.depend:
	Make the files `<module>.dep' and `<module>.dv'.  This
	step is required in preparation for the targets below.
 <module>:
	Compile and link a Mercury program with main module
	`<module>.m' to produce an executable.
 clean:
	Remove intermediate files.
 realclean:
	Remove all automatically-generated files: intermediate files,
	dependency files, and executables.

AUTHORS
The Mercury team.

See <http://www.mercurylang.org/contact/people.html>.

COPYRIGHT
This program and its documentation are copyright by the University of Melbourne. They may be copied only under the terms of the GNU General Public License - see the file COPYING in the Mercury distribution.

SEE ALSO
<http://www.mercurylang.org/information/documentation.html>

The Mercury User's Guide.

The GNU General Public License.